[[FX]]

<Sampler id="buf0">
	<StageConfig addressMode="CLAMP" />
</Sampler>

<Context id="FINALPASS">
	<Shaders vertex="VS_FSQUAD" fragment="FS_FINALPASS" />
	<RenderConfig writeDepth="false" />
</Context>


[[VS_FSQUAD]]
// =================================================================================================

varying vec2 texCoords;
				
void main( void )
{
	texCoords = gl_MultiTexCoord0.st; 
	gl_Position = gl_ProjectionMatrix * gl_Vertex;
}

[[FS_FINALPASS]]
// =================================================================================================

uniform sampler2D buf0;
uniform vec2 frameBufSize;
varying vec2 texCoords;

void main( void )
{	
	// just copy it
	gl_FragColor = texture2D( buf0, texCoords );
}
